Bug 245601 - Integrating Jidgo
Summary: Integrating Jidgo
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pungi   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F9Target
TreeView+ depends on / blocked
 
Reported: 2007-06-25 17:30 UTC by Rahul Sundaram
Modified: 2013-03-13 05:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-21 02:09:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rahul Sundaram 2007-06-25 17:30:34 UTC
Description of problem:

Jidgo is available in Fedora but we haven't integrated it into Fedora releases.
It would be good to have a target for Fedora 8 esp since we don't offer regular
CD installations anymore since Fedora 7. 

Expected results:

Jidgo integrated as part of the Fedora 8 release and beyond. 

Additional info:

https://www.redhat.com/archives/fedora-advisory-board/2007-May/msg00050.html
(script attached)

https://www.redhat.com/archives/fedora-list/2007-June/msg05396.html (recent request)

Comment 1 Tom Horsley 2007-06-25 21:30:25 UTC
In addition to http and ftp downloads for jigdo, it would be really spiffy
(and I bet fairly complex too :-), to allow jigdo to fetch rpms via torrent
and have an "entire repo" torrent, which it would be even cooler to integrate
with the yum rpm cache so as to allow any users who want to seed the rpms
they have already downloaded. The best part of that would be that the most
popular rpms would have the most seeders.

Comment 2 Jesse Keating 2007-06-25 21:54:07 UTC
Torrent is actually pretty horrible for small files.  Great(ish) for isos,
horrible for small files.

Comment 3 Jeroen van Meeuwen 2007-11-11 00:24:43 UTC
I was told Release Engineering was looking for a volunteer to integrate jigdo
into the release process, so here I am.

Fedora Unity has been releasing Fedora 8 CD sets which kind of function as a
proof of concept. Could we make this a feature for Fedora 9?

Comment 4 Jesse Keating 2007-11-15 16:47:14 UTC
We can certainly try.  Can you make it to one of the next Fedora Release
Engineering meetings to talk about this?

Comment 5 Jeroen van Meeuwen 2007-11-18 15:58:10 UTC
Yes I could. I'll attend to the next Release Engineering meeting if I can or let
you know that I'm unavailable...

Meanwhile, I drafted up a document on JigdoReleases at
http://fedoraproject.org/wiki/Features/JigdoRelease

Comment 6 Jesse Keating 2008-02-28 20:17:48 UTC
So this is stagnating pretty bad.  We're just a couple days away from Fedora 9
beta freeze, and I haven't seen any code for this yet.  Perhaps punt to F10?

Comment 7 Matt Domsch 2008-04-21 02:05:01 UTC
F9 Preview release on the mirrors has jigdo now, thanks guys.  Can we close this? 

Comment 8 Rahul Sundaram 2008-04-21 02:09:22 UTC
Yep. We need some good documentation but that is a side feature. Closing. 


Note You need to log in before you can comment on or make changes to this bug.